    /*
     * call-seq:
     *   value
     *
     * Get the text value of the node if present. Returns a utf-8 encoded string.
     */
    static VALUE value(VALUE self)
    {
      xmlTextReaderPtr reader;
      const char *value;

      Data_Get_Struct(self, xmlTextReader, reader);
      value = (const char *)xmlTextReaderConstValue(reader);
      if(value == NULL) return Qnil;

      return NOKOGIRI_STR_NEW2(value);
    }